using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayEngine : MonoBehaviour
{
    private Core.Level level;
    public void Awake()
    {
        LoadAndPlay("Level/test");
    }
    public void LoadAndPlay(string assetPath)
    {
        Debug.Log(string.Format("LOADING LEVEL: {0}", assetPath));

        var raw = Resources.Load<TextAsset>(assetPath);
        var bms = new Core.BmsParser().Parse(raw.text);
        var level = bms.ToLevel();

        this.level = level;


    }

    private void Update()
    {
        if (level != null)
        {

        }
    }
}
